> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Tax Zones

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/tax/zones
Content-Type: application/json

Update one or more tax zones. Only the tax zone `id` field is required. Fields unspecified by the request will retain their current state.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/tax/tax-zones/update-tax-zones

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a list of Tax_ZonePUT.

- `list of Tax_ZonePUT`

## Response

### 200

OK

- `data` (list of Tax_Zone, optional)
- `meta` (MetaOpen, optional) — Response metadata.

## Types

### Tax_ZonePUT

- `id` (integer, required) — Tax Zone ID. Internal identifier used to get, update, or delete a specific tax zone.
- `name` (string, optional) — The human-readable name for this tax zone. The name appears in the store control panel.
- `enabled` (boolean, optional, default: true) — Indicates whether a tax zone is enabled. Tax operations are only for enabled zones.
- `price_display_settings` (TaxZonePutPriceDisplaySettings, optional) — Settings that describe how a store displays prices to shoppers matched with this tax zone.
- `shopper_target_settings` (TaxZonePutShopperTargetSettings, optional) — Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper. You cannot define shopper target settings for the default tax zone because it must accommodate all shoppers who donʼt qualify for any other zone.

### Tax_Zone

- `id` (integer, optional) — Tax Zone ID. Internal identifier used to get, update, or delete a specific tax zone.
- `name` (string, optional) — The human-readable name for this tax zone. The name appears in the store control panel.
- `enabled` (boolean, optional, default: true) — Indicates whether a tax zone is enabled. Tax operations are only for enabled zones.
- `price_display_settings` (TaxZonePriceDisplaySettings, optional) — Settings that describe how a store displays prices to shoppers matched with this tax zone.
- `shopper_target_settings` (TaxZoneShopperTargetSettings, optional) — Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper. You cannot define shopper target settings for the default tax zone because it must accommodate all shoppers who donʼt qualify for any other zone.

### MetaOpen

Response metadata.

### TaxZonePutPriceDisplaySettings

Settings that describe how a store displays prices to shoppers matched with this tax zone.

- `show_inclusive` (boolean, optional) — Indicates whether to show prices as tax inclusive or tax exclusive to shoppers matched with this tax zone.
- `show_both_on_detail_view` (boolean, optional) — Indicates whether to show both tax inclusive and tax exclusive prices when viewing product detail; for example, on product pages. This view applies to shoppers matched with this tax zone.
- `show_both_on_list_view` (boolean, optional) — Indicates whether to show both tax inclusive and tax exclusive prices when viewing a list of products; for example, on category and brand pages. This view applies to shoppers matched with this tax zone.

### TaxZonePutShopperTargetSettings

Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper. You cannot define shopper target settings for the default tax zone because it must accommodate all shoppers who donʼt qualify for any other zone.

- `locations` (list of TaxZonePutShopperTargetSettingsLocationsItems, optional) — A tax zone may target shoppers in one or more locations.
- `customer_groups` (list of integer, optional) — One or more customer groups that a tax zone targets. Empty array if zone applies to all customers.

### TaxZonePriceDisplaySettings

Settings that describe how a store displays prices to shoppers matched with this tax zone.

- `show_inclusive` (boolean, optional) — Indicates whether to show prices as tax inclusive or tax exclusive to shoppers matched with this tax zone.
- `show_both_on_detail_view` (boolean, optional) — Indicates whether to show both tax inclusive and tax exclusive prices when viewing product detail; for example, on product pages. This view applies to shoppers matched with this tax zone.
- `show_both_on_list_view` (boolean, optional) — Indicates whether to show both tax inclusive and tax exclusive prices when viewing a list of products; for example, on category and brand pages. This view applies to shoppers matched with this tax zone.

### TaxZoneShopperTargetSettings

Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper. You cannot define shopper target settings for the default tax zone because it must accommodate all shoppers who donʼt qualify for any other zone.

- `locations` (list of TaxZoneShopperTargetSettingsLocationsItems, optional) — A tax zone may target shoppers in one or more locations.
- `customer_groups` (list of integer, optional) — One or more customer groups that a tax zone targets. Empty array if zone applies to all customers.

### TaxZonePutShopperTargetSettingsLocationsItems

- `country_code` (string, optional) — Two-letter ISO 3166-1 country code
- `subdivision_codes` (list of string, optional) — Three-letter ISO 3166-2 subdivision code
- `postal_codes` (list of string, optional)

### TaxZoneShopperTargetSettingsLocationsItems

- `country_code` (string, optional) — Two-letter ISO 3166-1 country code
- `subdivision_codes` (list of string, optional) — Three-letter ISO 3166-2 subdivision code
- `postal_codes` (list of string, optional)

## Examples

**Request**

```json
[
  {
    "id": 3,
    "name": "Australia",
    "enabled": false,
    "price_display_settings": {
      "show_inclusive": false,
      "show_both_on_detail_view": false,
      "show_both_on_list_view": false
    },
    "shopper_target_settings": {
      "locations": [
        {
          "country_code": "AU",
          "postal_codes": [
            "2238",
            "2173"
          ]
        }
      ],
      "customer_groups": [
        2
      ]
    }
  }
]
```

**Response**

```json
{
  "data": [
    {
      "id": 23,
      "name": "Australia",
      "enabled": false,
      "price_display_settings": {
        "show_inclusive": false,
        "show_both_on_detail_view": false,
        "show_both_on_list_view": false
      },
      "shopper_target_settings": {
        "locations": [
          {
            "country_code": "AU",
            "subdivision_codes": [],
            "postal_codes": [
              "2238",
              "2173"
            ]
          }
        ],
        "customer_groups": [
          2
        ]
      }
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/tax/zones"

payload = [
    {
        "id": 3,
        "name": "Australia",
        "enabled": False,
        "price_display_settings": {
            "show_inclusive": False,
            "show_both_on_detail_view": False,
            "show_both_on_list_view": False
        },
        "shopper_target_settings": {
            "locations": [
                {
                    "country_code": "AU",
                    "postal_codes": ["2238", "2173"]
                }
            ],
            "customer_groups": [2]
        }
    }
]
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/tax/zones';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"id":3,"name":"Australia","enabled":false,"price_display_settings":{"show_inclusive":false,"show_both_on_detail_view":false,"show_both_on_list_view":false},"shopper_target_settings":{"locations":[{"country_code":"AU","postal_codes":["2238","2173"]}],"customer_groups":[2]}}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/tax/zones"

	payload := strings.NewReader("[\n  {\n    \"id\": 3,\n    \"name\": \"Australia\",\n    \"enabled\": false,\n    \"price_display_settings\": {\n      \"show_inclusive\": false,\n      \"show_both_on_detail_view\": false,\n      \"show_both_on_list_view\": false\n    },\n    \"shopper_target_settings\": {\n      \"locations\": [\n        {\n          \"country_code\": \"AU\",\n          \"postal_codes\": [\n            \"2238\",\n            \"2173\"\n          ]\n        }\n      ],\n      \"customer_groups\": [\n        2\n      ]\n    }\n  }\n]")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/tax/zones")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"id\": 3,\n    \"name\": \"Australia\",\n    \"enabled\": false,\n    \"price_display_settings\": {\n      \"show_inclusive\": false,\n      \"show_both_on_detail_view\": false,\n      \"show_both_on_list_view\": false\n    },\n    \"shopper_target_settings\": {\n      \"locations\": [\n        {\n          \"country_code\": \"AU\",\n          \"postal_codes\": [\n            \"2238\",\n            \"2173\"\n          ]\n        }\n      ],\n      \"customer_groups\": [\n        2\n      ]\n    }\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/tax/zones")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"id\": 3,\n    \"name\": \"Australia\",\n    \"enabled\": false,\n    \"price_display_settings\": {\n      \"show_inclusive\": false,\n      \"show_both_on_detail_view\": false,\n      \"show_both_on_list_view\": false\n    },\n    \"shopper_target_settings\": {\n      \"locations\": [\n        {\n          \"country_code\": \"AU\",\n          \"postal_codes\": [\n            \"2238\",\n            \"2173\"\n          ]\n        }\n      ],\n      \"customer_groups\": [\n        2\n      ]\n    }\n  }\n]")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/tax/zones', [
  'body' => '[
  {
    "id": 3,
    "name": "Australia",
    "enabled": false,
    "price_display_settings": {
      "show_inclusive": false,
      "show_both_on_detail_view": false,
      "show_both_on_list_view": false
    },
    "shopper_target_settings": {
      "locations": [
        {
          "country_code": "AU",
          "postal_codes": [
            "2238",
            "2173"
          ]
        }
      ],
      "customer_groups": [
        2
      ]
    }
  }
]',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/tax/zones");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"id\": 3,\n    \"name\": \"Australia\",\n    \"enabled\": false,\n    \"price_display_settings\": {\n      \"show_inclusive\": false,\n      \"show_both_on_detail_view\": false,\n      \"show_both_on_list_view\": false\n    },\n    \"shopper_target_settings\": {\n      \"locations\": [\n        {\n          \"country_code\": \"AU\",\n          \"postal_codes\": [\n            \"2238\",\n            \"2173\"\n          ]\n        }\n      ],\n      \"customer_groups\": [\n        2\n      ]\n    }\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "id": 3,
    "name": "Australia",
    "enabled": false,
    "price_display_settings": [
      "show_inclusive": false,
      "show_both_on_detail_view": false,
      "show_both_on_list_view": false
    ],
    "shopper_target_settings": [
      "locations": [
        [
          "country_code": "AU",
          "postal_codes": ["2238", "2173"]
        ]
      ],
      "customer_groups": [2]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/tax/zones")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```